#ifndef SETTINGDATAS_H
#define SETTINGDATAS_H

#include <QWidget>

namespace Ui {
class SettingDatas;
}

class SettingDatas : public QWidget
{
    Q_OBJECT
signals:
    void change(bool);
    void title(QString);
public:
    explicit SettingDatas(QWidget *parent = nullptr);
    ~SettingDatas();
public:
    void load();
public slots:
    void accept();
private slots:
    void check();
private:
    Ui::SettingDatas *ui;
private:
    int       m_iDuplicate;
    bool      m_bAdd;
    bool      m_bDelete;
    bool      m_bClear;
};

#endif // SETTINGDATAS_H
